package com.docus.server.collection.util;

import com.docus.server.collection.service.ITBasicService;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @BelongsProject: docus-mzzy-collector
 * @BelongsPackage: com.docus.server.collection.util
 * @Author: chierhao
 * @CreateTime: 2023-03-13  11:33
 * @Description: TODO
 * @Version: 1.0
 */
@Component
@Slf4j
public class jobUtil {


    @Autowired
    private ITBasicService tBasicService;

    @XxlJob("tBasicJob")
    public void tBasicJob(){
        try {
            log.info("tBasicJob------开始");
            log.info("tBasicJob------结束");
        } catch (Exception e) {
            log.error(e.getMessage(),e);
        }
    }
}
